Subject: bug#27393: 25.2.50; *Find* file visiting does not work well for me.

From: [email-masked] (Vincent Belaïche)
Date: Fri, 16 Jun 2017 12:23:39 +0200

================================================================================
When I do some `Mx find-name-dired RET fmtcount-manual.tex RET on my PC
I get this *Find* buffer

--8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
  c:/Nos_Programmes/MinGW/local/projects/fmtcount/:
  c:/Nos_Programmes/MinGW/msys/bin/find.exe . "(" -iname "fmtcount-manual.tex" ")" -ls
  7281264   19 -rw-r--r--   1 Vincent  Administrateurs    36910 Jun  05:58 dist/fmtcount-manual.tex
  889094   19 -rw-r--r--   1 Vincent  Administrateurs    36915 Jun  16:35 trunk/fmtcount-manual.tex
  
  find finished at Fri Jun 16 11:41:08
--8<----8<----8<----8<----8<--  end  -->8---->8---->8---->8---->8----

If now I try to visit one of the file by typing RET on its name, I get
the following error message:

--8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
dired-get-file-for-visit: No file on this line
--8<----8<----8<----8<----8<--  end  -->8---->8---->8---->8---->8----

I guess that MSW MSYS find utility makes unusual output for the file
size or timestamp. This timestamp shows an hour:second

After doing some investigation it boiled down that function
dired-move-to-filename can't find the file name because of regexp in
directory-listing-before-filename-regexp. This regexp is equal to this:

"\\([0-9][BkKMGTPEZY]? \\(\\([0-9][0-9][0-9][0-9]-\\)?[01][0-9]-[0-3][0-9][ T][ 0-2][0-9][:.][0-5][0-9]\\(:[0-6][0-9]\\([.,][0-9]+\\)?\\( ?[-+][0-2][0-9][0-5][0-9]\\)?\\)?\\|[0-9][0-9][0-9][0-9]-[01][0-9]-[0-3][0-9]\\)\\|.*[0-9][BkKMGTPEZY]? \\(\\(\\([A-Za-z']\\|[^\x00-=]\\)\\([A-Za-z']\\|[^\x00-=]\\)+\\.? +[ 0-3][0-9]\\|[ 0-3][0-9]\\.? \\([A-Za-z']\\|[^\x00-=]\\)\\([A-Za-z']\\|[^\x00-=]\\)+\\.?\\) +\\([ 0-2][0-9][:.][0-5][0-9]\\|[0-9][0-9][0-9][0-9]\\)\\|\\([A-Za-z']\\|[^\x00-=]\\)\\([A-Za-z']\\|[^\x00-=]\\)+\\.? +[ 0-3][0-9], +[0-9][0-9][0-9][0-9]\\|\\([ 0-1]?[0-9]\\([A-Za-z]\\|[^\x00-=]\\)? [ 0-3][0-9]\\([A-Za-z]\\|[^\x00-=]\\)? +\\|[ 0-3][0-9] [ 0-1]?[0-9] +\\)\\([ 0-2][0-9][:.][0-5][0-9]\\|[0-9][0-9][0-9][0-9]\\([A-Za-z]\\|[^\x00-=]\\)?\\)\\)\\) +"

VBR,
	Vincent.

In GNU Emacs 25.2.50.1 (i686-pc-mingw32)
 of 2017-06-14 built on AIGLEROYAL
Repository revision: da62c1532e479bbac4ce242ee1d170df9c435591
Windowing system distributor 'Microsoft Corp.', version 10.0.14393
Configured using:
 'configure --prefix=c:/Nos_Programmes/GNU/Emacs --without-jpeg
 --without-tiff --without-gif --without-png 'CFLAGS= -Og -g3 -L
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/src' 'CPPFLAGS=
 -DFOR_MSW=1 -I
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/include -I
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/src -L
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/src''

Configured features:
XPM SOUND NOTIFY ACL TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: FRA
  locale-coding-system: cp1252

Major mode: Dired by name

Minor modes in effect:
  diff-auto-refine-mode: t
  TeX-PDF-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
235 2.7.0 ... authentication succeeded
250 2.1.0 <[email-masked]> sender ok
250 2.1.5 <[email-masked]> recipient ok
250 2.1.5 <[email-masked]> recipient ok
354 enter mail, end with "." on a line by itself
Sending email 
Sending email done
250 2.0.0 ZN081v00C1NRGYS03N08xU mail accepted for delivery
221 2.0.0 mwinf5d24 ME closing connection
Sending...done

Load-path shadows:
c:/Programmes/installation/cedet-install/cedet-git/lisp/speedbar/loaddefs hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.2.50/lisp/loaddefs
c:/Programmes/installation/cedet-install/cedet-git/lisp/speedbar/loaddefs hides c:/Programmes/installation/cedet-install/cedet-git/lisp/cedet/loaddefs

Features:
(markdown-mode derived url-parse url-vars pp shadow emacsbug find-dired
calc-yank calc-mode calccomp calc-alg calc-vec calc-aent calc-menu
cal-move whitespace perl-mode log-edit pcvs-util eieio-opt speedbar
sb-image ezimage dframe vc-bzr vc-src vc-sccs vc-svn vc-rcs vc-dir ewoc
add-log org-element org-rmail org-mhe org-irc org-info org-gnus
org-docview doc-view subr-x jka-compr image-mode org-bibtex bibtex
org-bbdb org-w3m org org-macro org-footnote org-pcomplete org-list
org-faces org-entities org-version ob-emacs-lisp ob ob-tangle ob-ref
ob-lob ob-table ob-exp org-src ob-keys ob-comint ob-core ob-eval
org-compat org-macs org-loaddefs find-func cal-menu calendar
cal-loaddefs tex-info texinfo vc vc-dispatcher ediff-vers thingatpt rect
visual-basic-mode sh-script smie executable make-mode misearch
multi-isearch ediff-merg ediff-wind ediff-diff ediff-mult ediff-help
ediff-init ediff-util ediff vc-git diff-mode reftex-dcr reftex
reftex-vars preview prv-emacs noutline outline pcmpl-unix latexenc
tex-bar latex easy-mmode tex-style toolbar-x font-latex plain-tex
tex-buf tex advice tex-mode compile shell pcomplete comint ansi-color
ring bbdb-print info mailalias smtpmail sort ispell vc-cvs hl-line
balance eieio-compat calc-forms dired-aux mail-extr bbdb-message
sendmail gnus-async qp gnus-ml cursor-sensor nndraft nnmh nnfolder
bbdb-gnus bbdb-mua bbdb-com crm network-stream nsm auth-source eieio
eieio-core starttls gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap nntp
gnus-cache gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap
nnmail mail-source tls gnutls utf7 netrc nnoo parse-time gnus-spec
gnus-int gnus-range message dired-x dired format-spec rfc822 mml mml-sec
password-cache epg mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader gnus-win gnus
gnus-ems nnheader gnus-util mail-utils mm-util help-fns mail-prsvr
edmacro kmacro skeleton calc-misc calc-arith calc-ext calc calc-loaddefs
calc-macs tex-mik preview-latex tex-site auto-loads bbdb bbdb-site
timezone bbdb-loaddefs template w32utils cl-seq cl-macs cl recentf
tree-widget wid-edit load-path-to-cedet-svn finder-inf package
epg-config seq byte-opt gv bytecomp byte-compile cl-extra help-mode
easymenu cconv cl-loaddefs pcase cl-lib time-date mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
dos-w32 ls-lisp disp-table w32-win w32-vars term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 8 683320 196960)
 (symbols 32 54524 0)
 (miscs 32 2287 2766)
 (strings 16 136590 17949)
 (string-bytes 1 4311766)
 (vectors 8 55514)
 (vector-slots 4 1713055 53346)
 (floats 8 663 688)
 (intervals 28 53879 8724)
 (buffers 516 82))

---
L'absence de virus dans ce courrier électronique a été vérifiée par le logiciel antivirus Avast.
https://www.avast.com/antivirus